/// <reference types="node" />
import { PackageInfo } from './rpm/types';
import { Response } from './types';
/**
 * Get a list of packages given a Buffer that contains an RPM database in BerkeleyDB format.
 * The database is inspected as best-effort, returning all valid/readable entries.
 * @param data An RPM database in BerkeleyDB format.
 */
export declare function getPackages(data: Buffer): Promise<Response>;
export declare function formatRpmPackageVersion(packageInfo: PackageInfo): string;
/**
 * Get a list of packages given a file path to an Sqlite RPM packages DB.
 * The database is inspected as best-effort, returning all valid/readable entries.
 * @param sqliteFilePath A path to an RPM sqlite Packages DB.
 */
export declare function getPackagesSqlite(sqliteDbBuffer: Buffer): Promise<Response>;
